Bug 1296379 - selinux is preventing collectd ipmi module from working
selinux is preventing collectd ipmi module from working
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2016-01-06 21:26 EST by Daniel Rowe
Modified: 2016-10-17 07:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-17 07:59:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Rowe 2016-01-06 21:26:39 EST
Description of problem:

Unable to use the collectd ipmi module:

AVC avc:  denied  { read write } for  pid=5012 comm="collectd" name="ipmi0" dev="devtmpfs" ino=13972 scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:object_r:ipmi_device_t:s0 tclass=chr_file permissive=0

Version-Release number of selected component (if applicable):

Latest F23 packages.

How reproducible:


Steps to Reproduce:
1. Install collectd and ipmid package on a box with ipmi (dell server in my case).
2. Run collectd with ipmid stats collection enabled
3. See fail

Actual results:


Expected results:


Additional info:
Comment 1 Miroslav Grepl 2016-01-21 05:56:59 EST
Does it mean you use a collectd plugin?

Note You need to log in before you can comment on or make changes to this bug.